/*
 * Class WEL_FW_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_158 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_158 [] = {0xFF01,1551,157,0xFFFF};
static const EIF_TYPE_INDEX egt_2_158 [] = {0xFF01,157,0xFFFF};
static const EIF_TYPE_INDEX egt_3_158 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_158 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_158 [] = {0xFF01,157,0xFFFF};
static const EIF_TYPE_INDEX egt_6_158 [] = {0xFF01,157,0xFFFF};
static const EIF_TYPE_INDEX egt_7_158 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_158 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_158 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_158 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_158 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_158 [] = {0xFF01,157,0xFFFF};


static const struct desc_info desc_158[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_158), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_158), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_158), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_158), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_158), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_158), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_158), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_158), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_158), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_158), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_158), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_158), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x013B /*157*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_158), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4074, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4063, 0xFFFFFFFF},
};
void Init158(void)
{
	IDSC(desc_158, 0, 157);
	IDSC(desc_158 + 1, 1, 157);
	IDSC(desc_158 + 32, 115, 157);
}


#ifdef __cplusplus
}
#endif
